Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1022281 - Configuration channels won't deploy under certain conditions when registering with activation key
Summary: Configuration channels won't deploy under certain conditions when registering...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration
Version: 550
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2013-10-22 22:42 UTC by César Alba
Modified: 2018-12-03 20:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-26 14:15:00 UTC


Attachments (Terms of Use)

Description César Alba 2013-10-22 22:42:54 UTC
Description of problem:

If an activation key is to install files and deploy files from a configuration channel. It won't deploy files front conf channels if all the packages to install were already installed. If it had to install just one package, config channels will deploy normally. 

Version-Release number of selected component (if applicable):
rhn-setup-1.0.0.1-4.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create an activation key
2. Add packages to install already installed and updated on the test system
3. Add a config channel with some files to deploy.

Actual results:

rhnreg_ks will show something like (these were my files which I had put also on the kickstart profile on an overzealous action).
Package rhncfg-5.10.55-6.el6sat.noarch already installed and latest version
Package rhncfg-actions-5.10.55-6.el6sat.noarch already installed and latest version
Package rhncfg-client-5.10.55-6.el6sat.noarch already installed and latest version

Files from config channel won't show after registration.

On the Failed actions on Satellite Server it will show
For: Schedule a config deploy for activation key scheduled by (none)
This action's status is: Failed.
This action has not yet been picked up. 
This action requires the successful completion of a prior action before it can be rescheduled.

For the prerequisite (Package Install scheduled by (none))
Client execution returned "Error while executing packages action: empty transaction [[6]]" (code -1)
Packages Scheduled:

    rhncfg
    rhncfg-actions
    rhncfg-client

Expected results: Ignore the empty transaction error as it is ok and deploy files.

Additional info:

Comment 1 César Alba 2013-10-22 22:46:10 UTC
I forgot to add:
The system will show as suscribed to the Config channel, it is just files won't be deployed.

Comment 3 Tomas Lestach 2016-05-26 14:15:00 UTC
We have re-reviewed this bug, as part of an ongoing effort to improve  Satellite/Proxy feature and bug updates, review and backlog.

We believe this bug has been fixed in the latest Satellite 5 version (5.7), so closing the bug as CURRENTRELEASE. Please feel free to re-open in case you discover any issues.

Xixi, Ashish and Tomas


Note You need to log in before you can comment on or make changes to this bug.